/*
 * Created on Nov 13, 2003
 */
package isac.util.tactics;

import java.util.Iterator;
import java.util.Vector;

/**
 * @author rgradisc
 */
public class SubProblemTactic extends Tactic {

    private String theory_ID_;

    private Vector problem_ID_ = new Vector();

    public SubProblemTactic() {
    }

    public void addProblemString(String string) {
        this.problem_ID_.add(string);
    }

    public String toSMLString() {
        StringBuffer sb = new StringBuffer();
        sb.append(name_ + " (\"" + theory_ID_ + "\", [");
        Iterator it = problem_ID_.iterator();
        while (it.hasNext()) {
            sb.append("\"" + it.next() + "\",");
        }
        sb.deleteCharAt(sb.length() - 1); // remove last ","
        sb.append("])");
        return sb.toString();
    }

    public Vector getProblemID() {
        return problem_ID_;
    }

    public String getTheoryID() {
        return theory_ID_;
    }

    public void setProblemID(Vector vector) {
        problem_ID_ = vector;
    }

    public void setTheoryID(String string) {
        theory_ID_ = string;
    }
}