/*
 * Created on Jun 25, 2004
 */
package isac.util.tactics;

import java.io.Serializable;

/**
 * This is a helper class used by Rewrite Tactic and RewriteInst Tactic
 * 
 * @author richard
 */

public class Theorem implements Serializable {
    String id_, formula_;

    //Theorem consist of the ID, and
    //the formula (still as a string -- waiting for MathML)

    /**
     * Format the class to a string which can be used as SML-Input
     * 
     * @return
     */
    public String toSMLString() {
        return "(\"" + id_ + "\",\"\")"; //formula may be empty at input
    }

    public String getFormula() {
        return formula_;
    }

    public String getId() {
        return id_;
    }

    public void setFormula(String string) {
        formula_ = string;
    }

    public void setId(String string) {
        id_ = string;
    }

}