(* use"xmlsrc/interface-xml.sml";;
   *)

(** add and delete users -----------------------------------------------
 FIXXME.8.03 addUser: clear code, because only CalcTrees distinguished**)
fun adduserOK2xml (uI:userID) = 
    writeln ("@@@@@begin@@@@@\n "^string_of_int uI^" \n\
	     \<ADDUSER>\n\
	     \  <USERID> "^string_of_int uI^" </USERID>\n\
	     \</ADDUSER>\n\
	     \@@@@@end@@@@@");
fun deluserOK2xml (uI:userID) = 
    writeln ("@@@@@begin@@@@@\n "^string_of_int uI^" \n\
	     \<DELUSER>\n\
	     \  <USERID> "^string_of_int uI^" </USERID>\n\
	     \</DELUSER>\n\
	     \@@@@@end@@@@@");
(*---------------------------------------------------------------------*)

fun calctreeOK2xml (*uI:userID*) (cI:calcID) = 
    writeln ("@@@@@begin@@@@@\n "^string_of_int cI^" \n\
	     \<CALCTREE>\n\
	     \   <CALCID> "^string_of_int cI^" </CALCID>\n\
	     \</CALCTREE>\n\
	     \@@@@@end@@@@@");
fun deconstructcalctreeOK2xml (*uI:userID*) (cI:calcID) = 
    writeln ("@@@@@begin@@@@@\n "^string_of_int cI^" \n\
	     \<DELCALC>\n\
	     \  <CALCID> "^string_of_int cI^" </CALCID>\n\
	     \</DELCALC>\n\
	     \@@@@@end@@@@@");

fun iteratorOK2xml (cI:calcID) = 
    writeln ("@@@@@begin@@@@@\n "^string_of_int cI^" \n\
	     \<CALCITERATOR>\n\
	     \  <CALCID> "^string_of_int cI^" </CALCID>\n\
	     \  <OK> calciterator reset </OK>\n\
	     \</CALCITERATOR>\n\
	     \@@@@@end@@@@@");
fun iteratorERROR2xml (cI:calcID) = 
    writeln ("@@@@@begin@@@@@\n "^string_of_int cI^" \n\
	     \<CALCITERATOR>\n\
	     \  <CALCID> "^string_of_int cI^" </CALCID>\n\
	     \  <ERROR> pos does not exist </ERROR>\n\
	     \</CALCITERATOR>\n\
	     \@@@@@end@@@@@");
fun sysERROR2xml (cI:calcID) = 
    writeln ("@@@@@begin@@@@@\n "^string_of_int cI^" \n\
	     \<CALCITERATOR>\n\
	     \  <CALCID> "^string_of_int cI^" </CALCID>\n\
	     \  <ERROR> in KI </ERROR>\n\
	     \</CALCITERATOR>\n\
	     \@@@@@end@@@@@");

fun refformulaOK2xml (cI:calcID) (Form t) = 
    writeln ("@@@@@begin@@@@@\n "^string_of_int cI^" \n\
	     \<REFFORMULA>\n\
	     \  <FORMULA>\n"^
	     (term2xml i t)^"\n"^
	     "  </FORMULA>\n\
	     \</REFFORMULA>\n\
	     \@@@@@end@@@@@")
  | refformulaOK2xml (cI:calcID) (ModSpec (p_, gfr, pre, spec)) = 
    writeln ("@@@@@begin@@@@@\n "^string_of_int cI^" \n\
	     \<REFFORMULA>\n"^
	     modspec2xml i gfr pre spec p_^ 
	     "</REFFORMULA>\n\ 
	     \@@@@@end@@@@@"); 

fun refformulaERROR2xml (cI:calcID) = (*FIXME.WN.29.8.03 unused*)
    writeln ("@@@@@begin@@@@@\n "^string_of_int cI^" \n\
	     \<REFFORMULA>\n\
	     \   <ERROR> object is not a formula </ERROR>\n\
	     \</REFFORMULA>\n\
	     \@@@@@end@@@@@");

fun setnexttactic2xml (*uI:userID*) (cI:calcID) e = 
    writeln ("@@@@@begin@@@@@\n "^string_of_int cI^" \n\
	     \<SETNEXTTACTIC>\n\
	     \   <CALCID> "^string_of_int cI^" </CALCID>\n\
	     \   <MESSAGE> "^e^" </MESSAGE>\n\
	     \</SETNEXTTACTIC>\n\
	     \@@@@@end@@@@@");

fun fetchproposedtacticOK2xml (*uI:userID*) (cI:calcID) tac = 
    writeln ("@@@@@begin@@@@@\n "^string_of_int cI^" \n\
	     \<NEXTTAC>\n\
	     \  <CALCID> "^string_of_int cI^" </CALCID>\n"^
	     tac2xml i tac^
(*	     ^(strs2xml o (map (tac2xml i))) tacs^*)
	     "</NEXTTAC>\n\
	     \@@@@@end@@@@@");
(* fetchproposedtactic2xml 11 22 (Rewrite ("rmult_commute","?m *?n =?n *?m"));
   *)
fun fetchproposedtacticERROR2xml (*uI:userID*) (cI:calcID) e = 
    writeln ("@@@@@begin@@@@@\n "^string_of_int cI^" \n\
	     \<NEXTTAC>\n\
	     \  <CALCID> "^string_of_int cI^" </CALCID>\n\
	     \  <ERROR> "^ e ^" </ERROR>\n\
	     \</NEXTTAC>\n\
	     \@@@@@end@@@@@");


